package org.apache.ambari.server.controller.ganglia;

/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 *
 */
public class MetricsMapping {

  private static String[] metrics = new String[] {
      "cpu_nice",
      "cpu_nice",
      "cpu_wio",
      "cpu_wio",
      "cpu_user",
      "cpu_user",
      "cpu_idle",
      "cpu_idle",
      "cpu_system",
      "cpu_system",
      "cpu_aidle",
      "cpu_aidle",
      "dfs.datanode.heartBeats_avg_time",
      "dfs.datanode.heartBeats_avg_time",
      "dfs.datanode.bytes_written",
      "dfs.datanode.bytes_written",
      "dfs.datanode.writes_from_local_client",
      "dfs.datanode.writes_from_local_client",
      "dfs.datanode.blocks_verified",
      "dfs.datanode.blocks_verified",
      "dfs.datanode.heartBeats_num_ops",
      "dfs.datanode.heartBeats_num_ops",
      "dfs.datanode.writeBlockOp_num_ops",
      "dfs.datanode.writeBlockOp_num_ops",
      "dfs.datanode.writeBlockOp_avg_time",
      "dfs.datanode.writeBlockOp_avg_time",
      "dfs.datanode.blockReports_num_ops",
      "dfs.datanode.blockReports_num_ops",
      "dfs.datanode.writes_from_remote_client",
      "dfs.datanode.writes_from_remote_client",
      "dfs.datanode.blockReports_avg_time",
      "dfs.datanode.blockReports_avg_time",
      "dfs.datanode.blocks_written",
      "dfs.datanode.blocks_written",
      "disk_free",
      "disk_free",
      "disk_total",
      "disk_total",
      "part_max_used",
      "part_max_used",
      "hbase.regionserver.deleteRequestLatency_max",
      "hbase.regionserver.deleteRequestLatency_max",
      "hbase.regionserver.putRequestLatency_std_dev",
      "hbase.regionserver.putRequestLatency_std_dev",
      "hbase.regionserver.putRequestLatency_max",
      "hbase.regionserver.putRequestLatency_max",
      "hbase.regionserver.putRequestLatency_num_ops",
      "hbase.regionserver.putRequestLatency_num_ops",
      "hbase.regionserver.requests",
      "hbase.regionserver.requests",
      "hbase.regionserver.fsReadLatencyHistogram_median",
      "hbase.regionserver.fsReadLatencyHistogram_median",
      "hbase.regionserver.deleteRequestLatency_99th_percentile",
      "hbase.regionserver.deleteRequestLatency_99th_percentile",
      "hbase.regionserver.writeRequestsCount",
      "hbase.regionserver.writeRequestsCount",
      "hbase.regionserver.hdfsBlocksLocalityIndex",
      "hbase.regionserver.hdfsBlocksLocalityIndex",
      "hbase.regionserver.compactionQueueSize",
      "hbase.regionserver.compactionQueueSize",
      "hbase.regionserver.deleteRequestLatency_mean",
      "hbase.regionserver.deleteRequestLatency_mean",
      "hbase.regionserver.totalStaticBloomSizeKB",
      "hbase.regionserver.totalStaticBloomSizeKB",
      "hbase.regionserver.flushSize_num_ops",
      "hbase.regionserver.flushSize_num_ops",
      "hbase.regionserver.getRequestLatency_99th_percentile",
      "hbase.regionserver.getRequestLatency_99th_percentile",
      "hbase.regionserver.flushSize_avg_time",
      "hbase.regionserver.flushSize_avg_time",
      "hbase.regionserver.fsWriteLatencyHistogram_95th_percentile",
      "hbase.regionserver.fsWriteLatencyHistogram_95th_percentile",
      "hbase.regionserver.flushTime_num_ops",
      "hbase.regionserver.flushTime_num_ops",
      "hbase.regionserver.deleteRequestLatency_median",
      "hbase.regionserver.deleteRequestLatency_median",
      "hbase.regionserver.blockCacheSize",
      "hbase.regionserver.blockCacheSize",
      "hbase.regionserver.fsSyncLatency_num_ops",
      "hbase.regionserver.fsSyncLatency_num_ops",
      "hbase.regionserver.storefiles",
      "hbase.regionserver.storefiles",
      "hbase.regionserver.getRequestLatency_min",
      "hbase.regionserver.getRequestLatency_min",
      "hbase.regionserver.regions",
      "hbase.regionserver.regions",
      "hbase.regionserver.fsReadLatencyHistogram_max",
      "hbase.regionserver.fsReadLatencyHistogram_max",
      "hbase.regionserver.getRequestLatency_mean",
      "hbase.regionserver.getRequestLatency_mean",
      "hbase.regionserver.fsReadLatency_num_ops",
      "hbase.regionserver.fsReadLatency_num_ops",
      "hbase.regionserver.blockCacheMissCount",
      "hbase.regionserver.blockCacheMissCount",
      "hbase.regionserver.putRequestLatency_75th_percentile",
      "hbase.regionserver.putRequestLatency_75th_percentile",
      "hbase.regionserver.fsReadLatencyHistogram_99th_percentile",
      "hbase.regionserver.fsReadLatencyHistogram_99th_percentile",
      "hbase.regionserver.totalStaticIndexSizeKB",
      "hbase.regionserver.totalStaticIndexSizeKB",
      "hbase.regionserver.compactionTime_avg_time",
      "hbase.regionserver.compactionTime_avg_time",
      "hbase.regionserver.fsWriteLatencyHistogram_min",
      "hbase.regionserver.fsWriteLatencyHistogram_min",
      "hbase.regionserver.fsSyncLatency_avg_time",
      "hbase.regionserver.fsSyncLatency_avg_time",
      "hbase.regionserver.deleteRequestLatency_75th_percentile",
      "hbase.regionserver.deleteRequestLatency_75th_percentile",
      "hbase.regionserver.hlogFileCount",
      "hbase.regionserver.hlogFileCount",
      "hbase.regionserver.getRequestLatency_std_dev",
      "hbase.regionserver.getRequestLatency_std_dev",
      "hbase.regionserver.getRequestLatency_median",
      "hbase.regionserver.getRequestLatency_median",
      "hbase.regionserver.putRequestLatency_median",
      "hbase.regionserver.putRequestLatency_median",
      "hbase.regionserver.rootIndexSizeKB",
      "hbase.regionserver.rootIndexSizeKB",
      "hbase.regionserver.getRequestLatency_num_ops",
      "hbase.regionserver.getRequestLatency_num_ops",
      "hbase.regionserver.getRequestLatency_75th_percentile",
      "hbase.regionserver.getRequestLatency_75th_percentile",
      "hbase.regionserver.putRequestLatency_95th_percentile",
      "hbase.regionserver.putRequestLatency_95th_percentile",
      "hbase.regionserver.fsWriteLatencyHistogram_std_dev",
      "hbase.regionserver.fsWriteLatencyHistogram_std_dev",
      "hbase.regionserver.memstoreSizeMB",
      "hbase.regionserver.memstoreSizeMB",
      "hbase.regionserver.fsWriteLatencyHistogram_num_ops",
      "hbase.regionserver.fsWriteLatencyHistogram_num_ops",
      "hbase.regionserver.deleteRequestLatency_min",
      "hbase.regionserver.deleteRequestLatency_min",
      "hbase.regionserver.fsReadLatencyHistogram_75th_percentile",
      "hbase.regionserver.fsReadLatencyHistogram_75th_percentile",
      "hbase.regionserver.putRequestLatency_min",
      "hbase.regionserver.putRequestLatency_min",
      "hbase.regionserver.fsReadLatencyHistogram_std_dev",
      "hbase.regionserver.fsReadLatencyHistogram_std_dev",
      "hbase.regionserver.deleteRequestLatency_std_dev",
      "hbase.regionserver.deleteRequestLatency_std_dev",
      "hbase.regionserver.fsReadLatency_avg_time",
      "hbase.regionserver.fsReadLatency_avg_time",
      "hbase.regionserver.fsReadLatencyHistogram_num_ops",
      "hbase.regionserver.fsReadLatencyHistogram_num_ops",
      "hbase.regionserver.deleteRequestLatency_num_ops",
      "hbase.regionserver.deleteRequestLatency_num_ops",
      "hbase.regionserver.blockCacheEvictedCount",
      "hbase.regionserver.blockCacheEvictedCount",
      "hbase.regionserver.fsWriteLatencyHistogram_99th_percentile",
      "hbase.regionserver.fsWriteLatencyHistogram_99th_percentile",
      "hbase.regionserver.deleteRequestLatency_95th_percentile",
      "hbase.regionserver.deleteRequestLatency_95th_percentile",
      "hbase.regionserver.getRequestLatency_max",
      "hbase.regionserver.getRequestLatency_max",
      "hbase.regionserver.fsWriteLatencyHistogram_mean",
      "hbase.regionserver.fsWriteLatencyHistogram_mean",
      "hbase.regionserver.storefileIndexSizeMB",
      "hbase.regionserver.storefileIndexSizeMB",
      "hbase.regionserver.compactionSize_avg_time",
      "hbase.regionserver.compactionSize_avg_time",
      "hbase.regionserver.getRequestLatency_95th_percentile",
      "hbase.regionserver.getRequestLatency_95th_percentile",
      "hbase.regionserver.flushQueueSize",
      "hbase.regionserver.flushQueueSize",
      "hbase.regionserver.compactionSize_num_ops",
      "hbase.regionserver.compactionSize_num_ops",
      "hbase.regionserver.putRequestLatency_mean",
      "hbase.regionserver.putRequestLatency_mean",
      "hbase.regionserver.compactionTime_num_ops",
      "hbase.regionserver.compactionTime_num_ops",
      "hbase.regionserver.stores",
      "hbase.regionserver.stores",
      "hbase.regionserver.fsReadLatencyHistogram_min",
      "hbase.regionserver.fsReadLatencyHistogram_min",
      "hbase.regionserver.fsWriteLatency_avg_time",
      "hbase.regionserver.fsWriteLatency_avg_time",
      "hbase.regionserver.fsReadLatencyHistogram_mean",
      "hbase.regionserver.fsReadLatencyHistogram_mean",
      "hbase.regionserver.fsReadLatencyHistogram_95th_percentile",
      "hbase.regionserver.fsReadLatencyHistogram_95th_percentile",
      "hbase.regionserver.flushTime_avg_time",
      "hbase.regionserver.flushTime_avg_time",
      "hbase.regionserver.fsWriteLatencyHistogram_median",
      "hbase.regionserver.fsWriteLatencyHistogram_median",
      "hbase.regionserver.fsWriteLatencyHistogram_max",
      "hbase.regionserver.fsWriteLatencyHistogram_max",
      "hbase.regionserver.blockCacheHitCachingRatio",
      "hbase.regionserver.blockCacheHitCachingRatio",
      "hbase.regionserver.blockCacheHitCount",
      "hbase.regionserver.blockCacheHitCount",
      "hbase.regionserver.blockCacheCount",
      "hbase.regionserver.blockCacheCount",
      "hbase.regionserver.readRequestsCount",
      "hbase.regionserver.readRequestsCount",
      "hbase.regionserver.blockCacheFree",
      "hbase.regionserver.blockCacheFree",
      "hbase.regionserver.putRequestLatency_99th_percentile",
      "hbase.regionserver.putRequestLatency_99th_percentile",
      "hbase.regionserver.fsWriteLatencyHistogram_75th_percentile",
      "hbase.regionserver.fsWriteLatencyHistogram_75th_percentile",
      "hbase.regionserver.blockCacheHitRatio",
      "hbase.regionserver.blockCacheHitRatio",
      "hbase.regionserver.fsWriteLatency_num_ops",
      "hbase.regionserver.fsWriteLatency_num_ops",
      "jvm.metrics.gcCount",
      "jvm.metrics.gcCount",
      "jvm.metrics.threadsTimedWaiting",
      "jvm.metrics.threadsTimedWaiting",
      "jvm.metrics.logWarn",
      "jvm.metrics.logWarn",
      "jvm.metrics.threadsBlocked",
      "jvm.metrics.threadsBlocked",
      "jvm.metrics.logError",
      "jvm.metrics.logError",
      "jvm.metrics.logFatal",
      "jvm.metrics.logFatal",
      "jvm.metrics.threadsNew",
      "jvm.metrics.threadsNew",
      "jvm.metrics.memHeapCommittedM",
      "jvm.metrics.memHeapCommittedM",
      "jvm.metrics.threadsWaiting",
      "jvm.metrics.threadsWaiting",
      "jvm.metrics.memNonHeapCommittedM",
      "jvm.metrics.memNonHeapCommittedM",
      "jvm.metrics.maxMemoryM",
      "jvm.metrics.maxMemoryM",
      "jvm.metrics.threadsTerminated",
      "jvm.metrics.threadsTerminated",
      "jvm.metrics.threadsRunnable",
      "jvm.metrics.threadsRunnable",
      "jvm.metrics.memNonHeapUsedM",
      "jvm.metrics.memNonHeapUsedM",
      "jvm.metrics.gcTimeMillis",
      "jvm.metrics.gcTimeMillis",
      "jvm.metrics.memHeapUsedM",
      "jvm.metrics.memHeapUsedM",
      "jvm.metrics.logInfo",
      "jvm.metrics.logInfo",
      "load_one",
      "load_one",
      "load_five",
      "load_five",
      "load_fifteen",
      "load_fifteen",
      "mapred.shuffleOutput.shuffle_handler_busy_percent",
      "mapred.shuffleOutput.shuffle_handler_busy_percent",
      "mapred.tasktracker.reduces_running",
      "mapred.tasktracker.reduces_running",
      "mapred.tasktracker.reduceTaskSlots",
      "mapred.tasktracker.reduceTaskSlots",
      "mapred.tasktracker.maps_running",
      "mapred.tasktracker.maps_running",
      "mapred.tasktracker.mapTaskSlots",
      "mapred.tasktracker.mapTaskSlots",
      "swap_free",
      "swap_free",
      "mem_cached",
      "mem_cached",
      "mem_free",
      "mem_free",
      "mem_buffers",
      "mem_buffers",
      "mem_shared",
      "mem_shared",
      "metricssystem.MetricsSystem.publish_max_time",
      "metricssystem.MetricsSystem.publish_max_time",
      "metricssystem.MetricsSystem.publish_num_ops",
      "metricssystem.MetricsSystem.publish_num_ops",
      "metricssystem.MetricsSystem.snapshot_stdev_time",
      "metricssystem.MetricsSystem.snapshot_stdev_time",
      "metricssystem.MetricsSystem.snapshot_imax_time",
      "metricssystem.MetricsSystem.snapshot_imax_time",
      "metricssystem.MetricsSystem.num_sinks",
      "metricssystem.MetricsSystem.num_sinks",
      "metricssystem.MetricsSystem.snapshot_min_time",
      "metricssystem.MetricsSystem.snapshot_min_time",
      "metricssystem.MetricsSystem.snapshot_num_ops",
      "metricssystem.MetricsSystem.snapshot_num_ops",
      "metricssystem.MetricsSystem.snapshot_avg_time",
      "metricssystem.MetricsSystem.snapshot_avg_time",
      "metricssystem.MetricsSystem.dropped_pub_all",
      "metricssystem.MetricsSystem.dropped_pub_all",
      "metricssystem.MetricsSystem.sink.ganglia.latency_avg_time",
      "metricssystem.MetricsSystem.sink.ganglia.latency_avg_time",
      "metricssystem.MetricsSystem.publish_stdev_time",
      "metricssystem.MetricsSystem.publish_stdev_time",
      "metricssystem.MetricsSystem.publish_imin_time",
      "metricssystem.MetricsSystem.publish_imin_time",
      "metricssystem.MetricsSystem.num_sources",
      "metricssystem.MetricsSystem.num_sources",
      "metricssystem.MetricsSystem.snapshot_max_time",
      "metricssystem.MetricsSystem.snapshot_max_time",
      "metricssystem.MetricsSystem.sink.ganglia.latency_num_ops",
      "metricssystem.MetricsSystem.sink.ganglia.latency_num_ops",
      "metricssystem.MetricsSystem.publish_imax_time",
      "metricssystem.MetricsSystem.publish_imax_time",
      "metricssystem.MetricsSystem.publish_min_time",
      "metricssystem.MetricsSystem.publish_min_time",
      "metricssystem.MetricsSystem.publish_avg_time",
      "metricssystem.MetricsSystem.publish_avg_time",
      "metricssystem.MetricsSystem.snapshot_imin_time",
      "metricssystem.MetricsSystem.snapshot_imin_time",
      "bytes_out",
      "bytes_out",
      "pkts_in",
      "pkts_in",
      "pkts_out",
      "pkts_out",
      "bytes_in",
      "bytes_in",
      "proc_total",
      "proc_total",
      "proc_run",
      "proc_run",
      "rpc.metrics.getRegionInfo_num_ops",
      "rpc.metrics.getRegionInfo_num_ops",
      "rpc.metrics.isStopped_avg_time",
      "rpc.metrics.isStopped_avg_time",
      "rpc.metrics.RpcQueueTime_avg_time",
      "rpc.metrics.RpcQueueTime_avg_time",
      "rpc.metrics.isMasterRunning_avg_time",
      "rpc.metrics.isMasterRunning_avg_time",
      "rpc.metrics.delete_num_ops",
      "rpc.metrics.delete_num_ops",
      "rpc.metrics.getClusterStatus_avg_time",
      "rpc.metrics.getClusterStatus_avg_time",
      "rpc.metrics.getFromOnlineRegions_num_ops",
      "rpc.metrics.getFromOnlineRegions_num_ops",
      "rpc.metrics.flushRegion_avg_time",
      "rpc.metrics.flushRegion_avg_time",
      "rpc.metrics.getClosestRowBefore_num_ops",
      "rpc.metrics.getClosestRowBefore_num_ops",
      "rpc.metrics.ReceivedBytes",
      "rpc.metrics.ReceivedBytes",
      "rpc.metrics.addToOnlineRegions_avg_time",
      "rpc.metrics.addToOnlineRegions_avg_time",
      "rpc.metrics.splitRegion_avg_time",
      "rpc.metrics.splitRegion_avg_time",
      "rpc.metrics.regionServerReport_num_ops",
      "rpc.metrics.regionServerReport_num_ops",
      "rpc.metrics.getProtocolSignature_num_ops",
      "rpc.metrics.getProtocolSignature_num_ops",
      "rpc.metrics.offline_avg_time",
      "rpc.metrics.offline_avg_time",
      "rpc.metrics.checkAndDelete_num_ops",
      "rpc.metrics.checkAndDelete_num_ops",
      "rpc.metrics.abort_avg_time",
      "rpc.metrics.abort_avg_time",
      "rpc.metrics.openScanner_avg_time",
      "rpc.metrics.openScanner_avg_time",
      "rpc.metrics.removeFromOnlineRegions_num_ops",
      "rpc.metrics.removeFromOnlineRegions_num_ops",
      "rpc.metrics.stop_num_ops",
      "rpc.metrics.stop_num_ops",
      "rpc.metrics.shutdown_num_ops",
      "rpc.metrics.shutdown_num_ops",
      "rpc.metrics.getCatalogTracker_avg_time",
      "rpc.metrics.getCatalogTracker_avg_time",
      "rpc.metrics.regionServerStartup_avg_time",
      "rpc.metrics.regionServerStartup_avg_time",
      "rpc.metrics.disableTable_num_ops",
      "rpc.metrics.disableTable_num_ops",
      "rpc.metrics.getClosestRowBefore_avg_time",
      "rpc.metrics.getClosestRowBefore_avg_time",
      "rpc.metrics.move_num_ops",
      "rpc.metrics.move_num_ops",
      "rpc.metrics.disableTable_avg_time",
      "rpc.metrics.disableTable_avg_time",
      "rpc.metrics.assign_num_ops",
      "rpc.metrics.assign_num_ops",
      "rpc.metrics.balanceSwitch_num_ops",
      "rpc.metrics.balanceSwitch_num_ops",
      "rpc.metrics.getConfiguration_num_ops",
      "rpc.metrics.getConfiguration_num_ops",
      "rpc.metrics.createTable_num_ops",
      "rpc.metrics.createTable_num_ops",
      "rpc.metrics.getHTableDescriptors_num_ops",
      "rpc.metrics.getHTableDescriptors_num_ops",
      "rpc.metrics.exists_avg_time",
      "rpc.metrics.exists_avg_time",
      "rpc.metrics.lockRow_avg_time",
      "rpc.metrics.lockRow_avg_time",
      "rpc.metrics.openRegions_avg_time",
      "rpc.metrics.openRegions_avg_time",
      "rpc.metrics.bulkLoadHFiles_num_ops",
      "rpc.metrics.bulkLoadHFiles_num_ops",
      "rpc.metrics.RpcSlowResponse_avg_time",
      "rpc.metrics.RpcSlowResponse_avg_time",
      "rpc.metrics.incrementColumnValue_avg_time",
      "rpc.metrics.incrementColumnValue_avg_time",
      "rpc.metrics.execCoprocessor_avg_time",
      "rpc.metrics.execCoprocessor_avg_time",
      "rpc.metrics.openRegion_avg_time",
      "rpc.metrics.openRegion_avg_time",
      "rpc.metrics.getOnlineRegions_avg_time",
      "rpc.metrics.getOnlineRegions_avg_time",
      "rpc.metrics.closeRegion_num_ops",
      "rpc.metrics.closeRegion_num_ops",
      "rpc.metrics.enableTable_avg_time",
      "rpc.metrics.enableTable_avg_time",
      "rpc.metrics.replicateLogEntries_avg_time",
      "rpc.metrics.replicateLogEntries_avg_time",
      "rpc.metrics.NumOpenConnections",
      "rpc.metrics.NumOpenConnections",
      "rpc.metrics.getRegionInfo_avg_time",
      "rpc.metrics.getRegionInfo_avg_time",
      "rpc.metrics.exists_num_ops",
      "rpc.metrics.exists_num_ops",
      "rpc.metrics.compactRegion_num_ops",
      "rpc.metrics.compactRegion_num_ops",
      "rpc.metrics.checkAndDelete_avg_time",
      "rpc.metrics.checkAndDelete_avg_time",
      "rpc.metrics.unassign_num_ops",
      "rpc.metrics.unassign_num_ops",
      "rpc.metrics.createTable_avg_time",
      "rpc.metrics.createTable_avg_time",
      "rpc.metrics.getHTableDescriptors_avg_time",
      "rpc.metrics.getHTableDescriptors_avg_time",
      "rpc.metrics.rollHLogWriter_num_ops",
      "rpc.metrics.rollHLogWriter_num_ops",
      "rpc.metrics.closeRegion_avg_time",
      "rpc.metrics.closeRegion_avg_time",
      "rpc.metrics.RpcQueueTime_num_ops",
      "rpc.metrics.RpcQueueTime_num_ops",
      "rpc.metrics.isMasterRunning_num_ops",
      "rpc.metrics.isMasterRunning_num_ops",
      "rpc.metrics.getClusterStatus_num_ops",
      "rpc.metrics.getClusterStatus_num_ops",
      "rpc.metrics.isStopped_num_ops",
      "rpc.metrics.isStopped_num_ops",
      "rpc.metrics.checkAndPut_num_ops",
      "rpc.metrics.checkAndPut_num_ops",
      "rpc.metrics.isAborted_num_ops",
      "rpc.metrics.isAborted_num_ops",
      "rpc.metrics.RpcProcessingTime_num_ops",
      "rpc.metrics.RpcProcessingTime_num_ops",
      "rpc.metrics.rollHLogWriter_avg_time",
      "rpc.metrics.rollHLogWriter_avg_time",
      "rpc.metrics.openRegions_num_ops",
      "rpc.metrics.openRegions_num_ops",
      "rpc.metrics.lockRow_num_ops",
      "rpc.metrics.lockRow_num_ops",
      "rpc.metrics.unlockRow_avg_time",
      "rpc.metrics.unlockRow_avg_time",
      "rpc.metrics.close_num_ops",
      "rpc.metrics.close_num_ops",
      "rpc.metrics.getZooKeeper_avg_time",
      "rpc.metrics.getZooKeeper_avg_time",
      "rpc.metrics.reportRSFatalError_avg_time",
      "rpc.metrics.reportRSFatalError_avg_time",
      "rpc.metrics.unlockRow_num_ops",
      "rpc.metrics.unlockRow_num_ops",
      "rpc.metrics.flushRegion_num_ops",
      "rpc.metrics.flushRegion_num_ops",
      "rpc.metrics.stopMaster_avg_time",
      "rpc.metrics.stopMaster_avg_time",
      "rpc.metrics.getBlockCacheColumnFamilySummaries_num_ops",
      "rpc.metrics.getBlockCacheColumnFamilySummaries_num_ops",
      "rpc.metrics.getServerName_avg_time",
      "rpc.metrics.getServerName_avg_time",
      "rpc.metrics.getHServerInfo_avg_time",
      "rpc.metrics.getHServerInfo_avg_time",
      "rpc.metrics.RpcSlowResponse_num_ops",
      "rpc.metrics.RpcSlowResponse_num_ops",
      "rpc.metrics.increment_avg_time",
      "rpc.metrics.increment_avg_time",
      "rpc.metrics.getFromOnlineRegions_avg_time",
      "rpc.metrics.getFromOnlineRegions_avg_time",
      "rpc.metrics.get_num_ops",
      "rpc.metrics.get_num_ops",
      "rpc.metrics.reportRSFatalError_num_ops",
      "rpc.metrics.reportRSFatalError_num_ops",
      "rpc.metrics.getZooKeeper_num_ops",
      "rpc.metrics.getZooKeeper_num_ops",
      "rpc.metrics.shutdown_avg_time",
      "rpc.metrics.shutdown_avg_time",
      "rpc.metrics.stop_avg_time",
      "rpc.metrics.stop_avg_time",
      "rpc.metrics.splitRegion_num_ops",
      "rpc.metrics.splitRegion_num_ops",
      "rpc.metrics.addToOnlineRegions_num_ops",
      "rpc.metrics.addToOnlineRegions_num_ops",
      "rpc.metrics.bulkLoadHFiles_avg_time",
      "rpc.metrics.bulkLoadHFiles_avg_time",
      "rpc.metrics.deleteTable_num_ops",
      "rpc.metrics.deleteTable_num_ops",
      "rpc.metrics.getProtocolVersion_num_ops",
      "rpc.metrics.getProtocolVersion_num_ops",
      "rpc.metrics.next_num_ops",
      "rpc.metrics.next_num_ops",
      "rpc.metrics.RpcProcessingTime_avg_time",
      "rpc.metrics.RpcProcessingTime_avg_time",
      "rpc.metrics.execCoprocessor_num_ops",
      "rpc.metrics.execCoprocessor_num_ops",
      "rpc.metrics.checkAndPut_avg_time",
      "rpc.metrics.checkAndPut_avg_time",
      "rpc.metrics.isAborted_avg_time",
      "rpc.metrics.isAborted_avg_time",
      "rpc.metrics.incrementColumnValue_num_ops",
      "rpc.metrics.incrementColumnValue_num_ops",
      "rpc.metrics.deleteColumn_num_ops",
      "rpc.metrics.deleteColumn_num_ops",
      "rpc.metrics.getBlockCacheColumnFamilySummaries_avg_time",
      "rpc.metrics.getBlockCacheColumnFamilySummaries_avg_time",
      "rpc.metrics.checkOOME_num_ops",
      "rpc.metrics.checkOOME_num_ops",
      "rpc.metrics.getProtocolVersion_avg_time",
      "rpc.metrics.getProtocolVersion_avg_time",
      "rpc.metrics.deleteTable_avg_time",
      "rpc.metrics.deleteTable_avg_time",
      "rpc.metrics.next_avg_time",
      "rpc.metrics.next_avg_time",
      "rpc.metrics.rpcAuthorizationSuccesses",
      "rpc.metrics.rpcAuthorizationSuccesses",
      "rpc.metrics.addColumn_avg_time",
      "rpc.metrics.addColumn_avg_time",
      "rpc.metrics.getOnlineRegions_num_ops",
      "rpc.metrics.getOnlineRegions_num_ops",
      "rpc.metrics.modifyColumn_avg_time",
      "rpc.metrics.modifyColumn_avg_time",
      "rpc.metrics.getAlterStatus_avg_time",
      "rpc.metrics.getAlterStatus_avg_time",
      "rpc.metrics.openRegion_num_ops",
      "rpc.metrics.openRegion_num_ops",
      "rpc.metrics.multi_avg_time",
      "rpc.metrics.multi_avg_time",
      "rpc.metrics.put_avg_time",
      "rpc.metrics.put_avg_time",
      "rpc.metrics.SentBytes",
      "rpc.metrics.SentBytes",
      "rpc.metrics.stopMaster_num_ops",
      "rpc.metrics.stopMaster_num_ops",
      "rpc.metrics.callQueueLen",
      "rpc.metrics.callQueueLen",
      "rpc.metrics.getProtocolSignature_avg_time",
      "rpc.metrics.getProtocolSignature_avg_time",
      "rpc.metrics.regionServerReport_avg_time",
      "rpc.metrics.regionServerReport_avg_time",
      "rpc.metrics.getConfiguration_avg_time",
      "rpc.metrics.getConfiguration_avg_time",
      "rpc.metrics.offline_num_ops",
      "rpc.metrics.offline_num_ops",
      "rpc.metrics.move_avg_time",
      "rpc.metrics.move_avg_time",
      "rpc.metrics.assign_avg_time",
      "rpc.metrics.assign_avg_time",
      "rpc.metrics.balanceSwitch_avg_time",
      "rpc.metrics.balanceSwitch_avg_time",
      "rpc.metrics.addColumn_num_ops",
      "rpc.metrics.addColumn_num_ops",
      "rpc.metrics.rpcAuthorizationFailures",
      "rpc.metrics.rpcAuthorizationFailures",
      "rpc.metrics.unassign_avg_time",
      "rpc.metrics.unassign_avg_time",
      "rpc.metrics.enableTable_num_ops",
      "rpc.metrics.enableTable_num_ops",
      "rpc.metrics.compactRegion_avg_time",
      "rpc.metrics.compactRegion_avg_time",
      "rpc.metrics.balance_num_ops",
      "rpc.metrics.balance_num_ops",
      "rpc.metrics.modifyTable_num_ops",
      "rpc.metrics.modifyTable_num_ops",
      "rpc.metrics.close_avg_time",
      "rpc.metrics.close_avg_time",
      "rpc.metrics.getHServerInfo_num_ops",
      "rpc.metrics.getHServerInfo_num_ops",
      "rpc.metrics.get_avg_time",
      "rpc.metrics.get_avg_time",
      "rpc.metrics.getServerName_num_ops",
      "rpc.metrics.getServerName_num_ops",
      "rpc.metrics.openScanner_num_ops",
      "rpc.metrics.openScanner_num_ops",
      "rpc.metrics.deleteColumn_avg_time",
      "rpc.metrics.deleteColumn_avg_time",
      "rpc.metrics.checkOOME_avg_time",
      "rpc.metrics.checkOOME_avg_time",
      "rpc.metrics.abort_num_ops",
      "rpc.metrics.abort_num_ops",
      "rpc.metrics.modifyColumn_num_ops",
      "rpc.metrics.modifyColumn_num_ops",
      "rpc.metrics.getAlterStatus_num_ops",
      "rpc.metrics.getAlterStatus_num_ops",
      "rpc.metrics.replicateLogEntries_num_ops",
      "rpc.metrics.replicateLogEntries_num_ops",
      "rpc.metrics.modifyTable_avg_time",
      "rpc.metrics.modifyTable_avg_time",
      "rpc.metrics.balance_avg_time",
      "rpc.metrics.balance_avg_time",
      "rpc.metrics.rpcAuthenticationFailures",
      "rpc.metrics.rpcAuthenticationFailures",
      "rpc.metrics.rpcAuthenticationSuccesses",
      "rpc.metrics.rpcAuthenticationSuccesses",
      "rpc.metrics.delete_avg_time",
      "rpc.metrics.delete_avg_time",
      "rpc.metrics.increment_num_ops",
      "rpc.metrics.increment_num_ops",
      "rpc.metrics.getCatalogTracker_num_ops",
      "rpc.metrics.getCatalogTracker_num_ops",
      "rpc.metrics.regionServerStartup_num_ops",
      "rpc.metrics.regionServerStartup_num_ops",
      "rpc.metrics.removeFromOnlineRegions_avg_time",
      "rpc.metrics.removeFromOnlineRegions_avg_time",
      "rpc.metrics.multi_num_ops",
      "rpc.metrics.multi_num_ops",
      "rpc.metrics.put_num_ops",
      "rpc.metrics.put_num_ops",
      "rpc.metrics.abort.aboveOneSec._num_ops",
      "rpc.metrics.abort.aboveOneSec._num_ops",
      "rpc.metrics.abort.aboveOneSec._avg_time",
      "rpc.metrics.abort.aboveOneSec._avg_time",
      "rpc.metrics.addToOnlineRegions.aboveOneSec._avg_time",
      "rpc.metrics.addToOnlineRegions.aboveOneSec._avg_time",
      "rpc.metrics.addToOnlineRegions.aboveOneSec._num_ops",
      "rpc.metrics.addToOnlineRegions.aboveOneSec._num_ops",
      "rpc.metrics.bulkLoadHFiles.aboveOneSec._avg_time",
      "rpc.metrics.bulkLoadHFiles.aboveOneSec._avg_time",
      "rpc.metrics.bulkLoadHFiles.aboveOneSec._num_ops",
      "rpc.metrics.bulkLoadHFiles.aboveOneSec._num_ops",
      "rpc.metrics.checkAndDelete.aboveOneSec._avg_time",
      "rpc.metrics.checkAndDelete.aboveOneSec._avg_time",
      "rpc.metrics.checkAndDelete.aboveOneSec._num_ops",
      "rpc.metrics.checkAndDelete.aboveOneSec._num_ops",
      "rpc.metrics.checkAndPut.aboveOneSec._avg_time",
      "rpc.metrics.checkAndPut.aboveOneSec._avg_time",
      "rpc.metrics.checkAndPut.aboveOneSec._num_ops",
      "rpc.metrics.checkAndPut.aboveOneSec._num_ops",
      "rpc.metrics.checkOOME.aboveOneSec._num_ops",
      "rpc.metrics.checkOOME.aboveOneSec._num_ops",
      "rpc.metrics.checkOOME.aboveOneSec._avg_time",
      "rpc.metrics.checkOOME.aboveOneSec._avg_time",
      "rpc.metrics.close.aboveOneSec._avg_time",
      "rpc.metrics.close.aboveOneSec._avg_time",
      "rpc.metrics.close.aboveOneSec._num_ops",
      "rpc.metrics.close.aboveOneSec._num_ops",
      "rpc.metrics.closeRegion.aboveOneSec._avg_time",
      "rpc.metrics.closeRegion.aboveOneSec._avg_time",
      "rpc.metrics.closeRegion.aboveOneSec._num_ops",
      "rpc.metrics.closeRegion.aboveOneSec._num_ops",
      "rpc.metrics.compactRegion.aboveOneSec._num_ops",
      "rpc.metrics.compactRegion.aboveOneSec._num_ops",
      "rpc.metrics.compactRegion.aboveOneSec._avg_time",
      "rpc.metrics.compactRegion.aboveOneSec._avg_time",
      "rpc.metrics.delete.aboveOneSec._num_ops",
      "rpc.metrics.delete.aboveOneSec._num_ops",
      "rpc.metrics.delete.aboveOneSec._avg_time",
      "rpc.metrics.delete.aboveOneSec._avg_time",
      "rpc.metrics.execCoprocessor.aboveOneSec._avg_time",
      "rpc.metrics.execCoprocessor.aboveOneSec._avg_time",
      "rpc.metrics.execCoprocessor.aboveOneSec._num_ops",
      "rpc.metrics.execCoprocessor.aboveOneSec._num_ops",
      "rpc.metrics.exists.aboveOneSec._num_ops",
      "rpc.metrics.exists.aboveOneSec._num_ops",
      "rpc.metrics.exists.aboveOneSec._avg_time",
      "rpc.metrics.exists.aboveOneSec._avg_time",
      "rpc.metrics.flushRegion.aboveOneSec._avg_time",
      "rpc.metrics.flushRegion.aboveOneSec._avg_time",
      "rpc.metrics.flushRegion.aboveOneSec._num_ops",
      "rpc.metrics.flushRegion.aboveOneSec._num_ops",
      "rpc.metrics.get.aboveOneSec._avg_time",
      "rpc.metrics.get.aboveOneSec._avg_time",
      "rpc.metrics.get.aboveOneSec._num_ops",
      "rpc.metrics.get.aboveOneSec._num_ops",
      "rpc.metrics.getBlockCacheColumnFamilySummaries.aboveOneSec._num_ops",
      "rpc.metrics.getBlockCacheColumnFamilySummaries.aboveOneSec._num_ops",
      "rpc.metrics.getBlockCacheColumnFamilySummaries.aboveOneSec._avg_time",
      "rpc.metrics.getBlockCacheColumnFamilySummaries.aboveOneSec._avg_time",
      "rpc.metrics.getCatalogTracker.aboveOneSec._avg_time",
      "rpc.metrics.getCatalogTracker.aboveOneSec._avg_time",
      "rpc.metrics.getCatalogTracker.aboveOneSec._num_ops",
      "rpc.metrics.getCatalogTracker.aboveOneSec._num_ops",
      "rpc.metrics.getClosestRowBefore.aboveOneSec._avg_time",
      "rpc.metrics.getClosestRowBefore.aboveOneSec._avg_time",
      "rpc.metrics.getClosestRowBefore.aboveOneSec._num_ops",
      "rpc.metrics.getClosestRowBefore.aboveOneSec._num_ops",
      "rpc.metrics.getConfiguration.aboveOneSec._num_ops",
      "rpc.metrics.getConfiguration.aboveOneSec._num_ops",
      "rpc.metrics.getConfiguration.aboveOneSec._avg_time",
      "rpc.metrics.getConfiguration.aboveOneSec._avg_time",
      "rpc.metrics.getFromOnlineRegions.aboveOneSec._num_ops",
      "rpc.metrics.getFromOnlineRegions.aboveOneSec._num_ops",
      "rpc.metrics.getFromOnlineRegions.aboveOneSec._avg_time",
      "rpc.metrics.getFromOnlineRegions.aboveOneSec._avg_time",
      "rpc.metrics.getHServerInfo.aboveOneSec._num_ops",
      "rpc.metrics.getHServerInfo.aboveOneSec._num_ops",
      "rpc.metrics.getHServerInfo.aboveOneSec._avg_time",
      "rpc.metrics.getHServerInfo.aboveOneSec._avg_time",
      "rpc.metrics.getOnlineRegions.aboveOneSec._avg_time",
      "rpc.metrics.getOnlineRegions.aboveOneSec._avg_time",
      "rpc.metrics.getOnlineRegions.aboveOneSec._num_ops",
      "rpc.metrics.getOnlineRegions.aboveOneSec._num_ops",
      "rpc.metrics.getProtocolSignature.aboveOneSec._avg_time",
      "rpc.metrics.getProtocolSignature.aboveOneSec._avg_time",
      "rpc.metrics.getProtocolSignature.aboveOneSec._num_ops",
      "rpc.metrics.getProtocolSignature.aboveOneSec._num_ops",
      "rpc.metrics.getProtocolVersion.aboveOneSec._num_ops",
      "rpc.metrics.getProtocolVersion.aboveOneSec._num_ops",
      "rpc.metrics.getProtocolVersion.aboveOneSec._avg_time",
      "rpc.metrics.getProtocolVersion.aboveOneSec._avg_time",
      "rpc.metrics.getRegionInfo.aboveOneSec._num_ops",
      "rpc.metrics.getRegionInfo.aboveOneSec._num_ops",
      "rpc.metrics.getRegionInfo.aboveOneSec._avg_time",
      "rpc.metrics.getRegionInfo.aboveOneSec._avg_time",
      "rpc.metrics.getServerName.aboveOneSec._num_ops",
      "rpc.metrics.getServerName.aboveOneSec._num_ops",
      "rpc.metrics.getServerName.aboveOneSec._avg_time",
      "rpc.metrics.getServerName.aboveOneSec._avg_time",
      "rpc.metrics.getZooKeeper.aboveOneSec._num_ops",
      "rpc.metrics.getZooKeeper.aboveOneSec._num_ops",
      "rpc.metrics.getZooKeeper.aboveOneSec._avg_time",
      "rpc.metrics.getZooKeeper.aboveOneSec._avg_time",
      "rpc.metrics.increment.aboveOneSec._num_ops",
      "rpc.metrics.increment.aboveOneSec._num_ops",
      "rpc.metrics.increment.aboveOneSec._avg_time",
      "rpc.metrics.increment.aboveOneSec._avg_time",
      "rpc.metrics.incrementColumnValue.aboveOneSec._avg_time",
      "rpc.metrics.incrementColumnValue.aboveOneSec._avg_time",
      "rpc.metrics.incrementColumnValue.aboveOneSec._num_ops",
      "rpc.metrics.incrementColumnValue.aboveOneSec._num_ops",
      "rpc.metrics.isAborted.aboveOneSec._avg_time",
      "rpc.metrics.isAborted.aboveOneSec._avg_time",
      "rpc.metrics.isAborted.aboveOneSec._num_ops",
      "rpc.metrics.isAborted.aboveOneSec._num_ops",
      "rpc.metrics.isStopped.aboveOneSec._avg_time",
      "rpc.metrics.isStopped.aboveOneSec._avg_time",
      "rpc.metrics.isStopped.aboveOneSec._num_ops",
      "rpc.metrics.isStopped.aboveOneSec._num_ops",
      "rpc.metrics.lockRow.aboveOneSec._num_ops",
      "rpc.metrics.lockRow.aboveOneSec._num_ops",
      "rpc.metrics.lockRow.aboveOneSec._avg_time",
      "rpc.metrics.lockRow.aboveOneSec._avg_time",
      "rpc.metrics.multi.aboveOneSec._num_ops",
      "rpc.metrics.multi.aboveOneSec._num_ops",
      "rpc.metrics.multi.aboveOneSec._avg_time",
      "rpc.metrics.multi.aboveOneSec._avg_time",
      "rpc.metrics.next.aboveOneSec._num_ops",
      "rpc.metrics.next.aboveOneSec._num_ops",
      "rpc.metrics.next.aboveOneSec._avg_time",
      "rpc.metrics.next.aboveOneSec._avg_time",
      "rpc.metrics.openRegion.aboveOneSec._avg_time",
      "rpc.metrics.openRegion.aboveOneSec._avg_time",
      "rpc.metrics.openRegion.aboveOneSec._num_ops",
      "rpc.metrics.openRegion.aboveOneSec._num_ops",
      "rpc.metrics.openRegions.aboveOneSec._num_ops",
      "rpc.metrics.openRegions.aboveOneSec._num_ops",
      "rpc.metrics.openRegions.aboveOneSec._avg_time",
      "rpc.metrics.openRegions.aboveOneSec._avg_time",
      "rpc.metrics.openScanner.aboveOneSec._num_ops",
      "rpc.metrics.openScanner.aboveOneSec._num_ops",
      "rpc.metrics.openScanner.aboveOneSec._avg_time",
      "rpc.metrics.openScanner.aboveOneSec._avg_time",
      "rpc.metrics.put.aboveOneSec._num_ops",
      "rpc.metrics.put.aboveOneSec._num_ops",
      "rpc.metrics.put.aboveOneSec._avg_time",
      "rpc.metrics.put.aboveOneSec._avg_time",
      "rpc.metrics.removeFromOnlineRegions.aboveOneSec._avg_time",
      "rpc.metrics.removeFromOnlineRegions.aboveOneSec._avg_time",
      "rpc.metrics.removeFromOnlineRegions.aboveOneSec._num_ops",
      "rpc.metrics.removeFromOnlineRegions.aboveOneSec._num_ops",
      "rpc.metrics.replicateLogEntries.aboveOneSec._avg_time",
      "rpc.metrics.replicateLogEntries.aboveOneSec._avg_time",
      "rpc.metrics.replicateLogEntries.aboveOneSec._num_ops",
      "rpc.metrics.replicateLogEntries.aboveOneSec._num_ops",
      "rpc.metrics.rollHLogWriter.aboveOneSec._avg_time",
      "rpc.metrics.rollHLogWriter.aboveOneSec._avg_time",
      "rpc.metrics.rollHLogWriter.aboveOneSec._num_ops",
      "rpc.metrics.rollHLogWriter.aboveOneSec._num_ops",
      "rpc.metrics.splitRegion.aboveOneSec._avg_time",
      "rpc.metrics.splitRegion.aboveOneSec._avg_time",
      "rpc.metrics.splitRegion.aboveOneSec._num_ops",
      "rpc.metrics.splitRegion.aboveOneSec._num_ops",
      "rpc.metrics.stop.aboveOneSec._num_ops",
      "rpc.metrics.stop.aboveOneSec._num_ops",
      "rpc.metrics.stop.aboveOneSec._avg_time",
      "rpc.metrics.stop.aboveOneSec._avg_time",
      "rpc.metrics.unlockRow.aboveOneSec._num_ops",
      "rpc.metrics.unlockRow.aboveOneSec._num_ops",
      "rpc.metrics.unlockRow.aboveOneSec._avg_time",
      "rpc.metrics.unlockRow.aboveOneSec._avg_time"
  };
}
