/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



// load all views here

require('views/application');
require('views/common/chart');
require('views/common/combobox');
require('views/common/chart/pie');
require('views/common/chart/linear');
require('views/common/chart/linear_time');
require('views/common/modal_popup');
require('views/common/metric');
require('views/common/time_range');
require('views/common/form/field');
require('views/common/quick_view_link_view');
require('views/common/empty_view');
require('views/login');
require('views/main');
require('views/main/test');
require('views/main/menu');
require('views/main/charts');
require('views/main/host');
require('views/main/host/details');
require('views/main/host/menu');
require('views/main/host/summary');
require('views/main/host/metrics');
require('views/main/host/audit');
require('views/main/host/add_view');
require('views/main/host/metrics/cpu');
require('views/main/host/metrics/disk');
require('views/main/host/metrics/load');
require('views/main/host/metrics/memory');
require('views/main/host/metrics/network');
require('views/main/host/metrics/processes');
require('views/main/admin');
require('views/main/admin/advanced');
require('views/main/admin/advanced/password');
require('views/main/admin/audit');
require('views/main/admin/authentication');
require('views/main/admin/menu');
require('views/main/admin/security');
require('views/main/admin/user');
require('views/main/admin/user/create');
require('views/main/admin/user/edit');
require('views/main/admin/user/row');
require('views/main/dashboard');
require('views/main/dashboard/service');
require('views/main/dashboard/service/hdfs');
require('views/main/dashboard/service/mapreduce');
require('views/main/dashboard/service/hbase');
require('views/main/dashboard/service/hive');
require('views/main/dashboard/service/zookeeper');
require('views/main/dashboard/service/oozie');
require('views/main/dashboard/cluster_metrics/cpu');
require('views/main/dashboard/cluster_metrics/load');
require('views/main/dashboard/cluster_metrics/memory');
require('views/main/dashboard/cluster_metrics/network');
require('views/main/service');
require('views/main/service/menu');
require('views/main/service/item');
require('views/main/service/info/menu');
require('views/main/service/info/summary');
require('views/main/service/info/metrics');
require('views/main/service/info/configs');
require('views/main/service/info/audit');
require('views/main/service/info/metrics/hdfs/jvm_threads');
require('views/main/service/info/metrics/hdfs/jvm_heap');
require('views/main/service/info/metrics/hdfs/io');
require('views/main/service/info/metrics/hdfs/rpc');
require('views/main/service/info/metrics/hdfs/file_operations');
require('views/main/service/info/metrics/hdfs/gc');
require('views/main/service/info/metrics/hdfs/space_utilization');
require('views/main/service/info/metrics/hdfs/block_status');
require('views/main/service/info/metrics/mapreduce/gc');
require('views/main/service/info/metrics/mapreduce/jvm_threads');
require('views/main/service/info/metrics/mapreduce/jvm_heap');
require('views/main/service/info/metrics/mapreduce/rpc');
require('views/main/service/info/metrics/mapreduce/tasks_running_waiting');
require('views/main/service/info/metrics/mapreduce/jobs_status');
require('views/main/service/info/metrics/mapreduce/map_slots');
require('views/main/service/info/metrics/mapreduce/reduce_slots');
require('views/main/service/info/metrics/hbase/cluster_requests');
require('views/main/service/info/metrics/hbase/regionserver_rw_requests');
require('views/main/service/info/metrics/hbase/regionserver_regions');
require('views/main/service/info/metrics/hbase/regionserver_queuesize');
require('views/main/service/info/metrics/hbase/hlog_split_time');
require('views/main/service/info/metrics/hbase/hlog_split_size');
require('views/main/service/add_view');
require('views/main/charts/menu');
require('views/main/charts/heatmap');
require('views/main/charts/horizon');
require('views/main/charts/horizon/chart');
require('views/main/charts/heatmap/heatmap_rack');
require('views/main/charts/heatmap/heatmap_host');
require('views/main/charts/heatmap/heatmap_host_detail');
require('views/main/apps_view');
require('views/main/apps/item_view');
require('views/main/apps/item/bar_view');
require('views/main/apps/item/dag_view');
require('views/installer');
require('views/wizard/controls_view');
require('views/wizard/step1_view');
require('views/wizard/step2_view');
require('views/wizard/step3_view');
require('views/wizard/step4_view');
require('views/wizard/step5_view');
require('views/wizard/step6_view');
require('views/wizard/step7_view');
require('views/wizard/step8_view');
require('views/wizard/step9_view');
require('views/wizard/step10_view');
require('views/loading');
